Subject: decoding urlencoded text and mailcap

From: "MAS Inc." <[email-masked]>
Date: Tue, 2 Jul 1996 11:47:40 -0700

Recently my curiousity was piqued by a posting about setting up an
application to decode urlencoded text.  I have written a simple urldecoder
that takes the stdin and spits out decoded text.  It works great when I
pipe to it in pine.  What I was hoping is that I could setup a mailcap
entry that would tell pine to pipe through urldecode automatically when it
sees a certain mime type.  I tried

	application/x-www-form-urlencode; urldecode

but it didn't work.  Also tried cat %s | urldecode.  I'm really guessing
here; there is so little documentation that says "this means that", it's
mostly examples.

Anyway, any ideas on how I could get this to work?  Thanks.

You can reply to knute@teleport via e-mail if you wish.

---MAS Inc.			   email: [email-masked]
   15050 SW Koll Parkway, Suite C    web: http://www.teleport.com/~masi
   Beaverton, OR  97006		   phone: (503) 641-6200